
Extended Profile - Feature #1778

OpenID support

04 Jun 2011 06:48 - Andriy Lesyuk

Status: Closed Start date: 04 Jun 2011

Priority: Major Due date: 05 Jun 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

External issue:    

Description

A short research showed that OpenID has at least language and country attributes which can be imported into the user profile. There

can be others as well.

See links:

http://code.google.com/apis/accounts/docs/OpenID.html

http://www.axschema.org/types/

http://status.net/wiki/OpenID/attributes

Related issues:

Related to Projects - Feature #1717: Open ID authorization support Closed 02 May 2011 05 Jun 2011

History

#1 - 05 Jun 2011 11:54 - Andriy Lesyuk

- Subject changed from Import OpenID attributes to OpenID support

- Status changed from Open to In Progress

It looks like anyway I need to rewrite Redmine’s OpenID code to support Google so can import language as well...

Links:

http://www.redmine.org/boards/2/topics/21812 (forum topic with discussion about Google OpenID)

http://www.redmine.org/issues/5966 (Redmine issue)

http://projects.andriylesyuk.com/issues/1717 (My issue)

#2 - 05 Jun 2011 11:54 - Andriy Lesyuk

- Priority changed from Normal to Major

#3 - 05 Jun 2011 11:56 - Andriy Lesyuk

- Target version set to 0.0.2

- % Done changed from 0 to 10

By the way - when done this plugin will be a fix for Google support 

#4 - 05 Jun 2011 19:17 - Andriy Lesyuk

- Due date set to 05 Jun 2011

- Status changed from In Progress to Closed

- % Done changed from 10 to 100
